Package org.jfree.layouting.layouter.i18n

## Class DefaultLocalizationContext

- java.lang.Object
- - org.jfree.layouting.layouter.i18n.DefaultLocalizationContext

- All Implemented Interfaces:
    `LocalizationContext`

      public class DefaultLocalizationContext
      extends java.lang.Object
      implements LocalizationContext

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultLocalizationContext​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.text.DateFormat` | `getDateFormat​(java.lang.String format, java.util.Locale language)` |
    `java.text.DateFormat` | `getDateFormat​(java.util.Locale language)` |
    `java.text.NumberFormat` | `getIntegerFormat​(java.util.Locale language)` |
    `java.text.NumberFormat` | `getNumberFormat​(java.lang.String format, java.util.Locale language)` |
    `java.text.NumberFormat` | `getNumberFormat​(java.util.Locale language)` |
    `java.text.DateFormat` | `getTimeFormat​(java.util.Locale language)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultLocalizationContext

          public DefaultLocalizationContext​()

  - ### Method Detail

    - #### getDateFormat

          public java.text.DateFormat getDateFormat​(java.util.Locale language)

      Specified by:
        `getDateFormat` in interface `LocalizationContext`

    - #### getIntegerFormat

          public java.text.NumberFormat getIntegerFormat​(java.util.Locale language)

      Specified by:
        `getIntegerFormat` in interface `LocalizationContext`

    - #### getNumberFormat

          public java.text.NumberFormat getNumberFormat​(java.util.Locale language)

      Specified by:
        `getNumberFormat` in interface `LocalizationContext`

    - #### getTimeFormat

          public java.text.DateFormat getTimeFormat​(java.util.Locale language)

      Specified by:
        `getTimeFormat` in interface `LocalizationContext`

    - #### getDateFormat

          public java.text.DateFormat getDateFormat​(java.lang.String format,
                                                    java.util.Locale language)

      Specified by:
        `getDateFormat` in interface `LocalizationContext`

    - #### getNumberFormat

          public java.text.NumberFormat getNumberFormat​(java.lang.String format,
                                                        java.util.Locale language)

      Specified by:
        `getNumberFormat` in interface `LocalizationContext`